﻿//================================================================================
//  
//       CommentForm.cs      コメント入力画面
//  
//        (c)2012/08/28  by OjisanKoubou
//  
//================================================================================
//  
//  このプログラムは Ojisankoubou( OGAWA Ichiro ) が著作権を持っています。
//  個人の研究目的には、修正、改造など自由に使用できます。
//  発表される際は著作権表示部分を消さないようにしてください。
//  このソフトウェアの全部もしくは一部を製品に組み込んだり販売したりするなどの
//  商業的利用はできません。
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace APB_3 {
    public partial class CommentForm : Form {
        
        private FreqResponseGraphForm frgf;
        
        public CommentForm(FreqResponseGraphForm frgf) {
            InitializeComponent();
            this.frgf = frgf;
            richTextBox_comment.Text = frgf.comment;
        }
        
        
        private void button_off_Click(object sender, EventArgs e) {
            frgf.commentvisible  = false;
            Close();
        }
        
        
        private void button_ok_Click(object sender, EventArgs e) {
            frgf.commentvisible  = true;
            frgf.comment = richTextBox_comment.Text;
            Close();
        }
    }
}
